// app/service/user.js
const Service = require('egg').Service;

class ItemService extends Service {
  async mutiupdate(itemarr) {
    const { ctx, app } = this;
    const { Op } = app.Sequelize;
    const itemarrs = itemarr?.map((it, i) => ({
      ...it,
      sort: i,
    }));
    let item;
    try {
      item = await ctx.model.Item.bulkCreate(itemarrs, {
        updateOnDuplicate: [ 'step_id', 'sort' ],
      });
    } catch (error) {
      item = error;
    }
    return item;
  }

  async getbyproject_id(project_id, status) {
    const { ctx } = this;
    const where =
      status == '-1'
        ? {
          project_id,
        }
        : {
          project_id,
          status,
        };
    let item;
    try {
      item = await ctx.model.Item.findAll({
        where,
      });
    } catch (error) {
      item = error;
    }
    return item;
  }
}

module.exports = ItemService;
