'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    const { INTEGER, STRING, DATE } = Sequelize;
    await queryInterface.createTable('steps', {
      id: { type: INTEGER, primaryKey: true, autoIncrement: true },
      project_id: INTEGER,
      name: STRING(255),
      other: STRING(255),
      sort: INTEGER,
      created_at: DATE,
      updated_at: DATE,
    });
  },

  async down(queryInterface) {
    await queryInterface.dropTable('steps');
  },
};
